Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query
Interface CompoundFilterType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FilterType, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  CompoundFilterTypeImpl

    public interface CompoundFilterType

extends FilterType

A representation of the model object 'Compound Filter Type'.

The following features are supported:

- `Left Filter`
- `Right Filter`
- `Logical Operator`

See Also:
  `QueryPackage.getCompoundFilterType()`

Method Summary
`FilterType` | `getLeftFilter()` Returns the value of the 'Left Filter' containment reference.
`LogicalOperatorType` | `getLogicalOperator()` Returns the value of the 'Logical Operator' attribute.
`FilterType` | `getRightFilter()` Returns the value of the 'Right Filter' containment reference.
`boolean` | `isSetLogicalOperator()` Returns whether the value of the '`Logical Operator`' attribute is set.
`void` | `setLeftFilter(FilterType value)` Sets the value of the '`Left Filter`' containment reference.
`void` | `setLogicalOperator(LogicalOperatorType value)` Sets the value of the '`Logical Operator`' attribute.
`void` | `setRightFilter(FilterType value)` Sets the value of the '`Right Filter`' containment reference.
`void` | `unsetLogicalOperator()` Unsets the value of the '`Logical Operator`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.FilterType
`isNegate, isSetNegate, setNegate, unsetNegate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getLeftFilter

    FilterType getLeftFilter()

  Returns the value of the 'Left Filter' containment reference.

  If the meaning of the 'Left Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Left Filter' containment reference.
  See Also:
    `setLeftFilter(FilterType)`, `QueryPackage.getCompoundFilterType_LeftFilter()`

### setLeftFilter

    void setLeftFilter(FilterType value)

  Sets the value of the '`Left Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Left Filter' containment reference.
  See Also:
    `getLeftFilter()`

### getRightFilter

    FilterType getRightFilter()

  Returns the value of the 'Right Filter' containment reference.

  If the meaning of the 'Right Filter' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Right Filter' containment reference.
  See Also:
    `setRightFilter(FilterType)`, `QueryPackage.getCompoundFilterType_RightFilter()`

### setRightFilter

    void setRightFilter(FilterType value)

  Sets the value of the '`Right Filter`' containment reference.

  Parameters:
    `value` - the new value of the 'Right Filter' containment reference.
  See Also:
    `getRightFilter()`

### getLogicalOperator

    LogicalOperatorType getLogicalOperator()

  Returns the value of the 'Logical Operator' attribute. The default value is `"AND"`. The literals are from the enumeration `LogicalOperatorType`.

  If the meaning of the 'Logical Operator' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Logical Operator' attribute.
  See Also:
    `LogicalOperatorType`, `isSetLogicalOperator()`, `unsetLogicalOperator()`, `setLogicalOperator(LogicalOperatorType)`, `QueryPackage.getCompoundFilterType_LogicalOperator()`

### setLogicalOperator

    void setLogicalOperator(LogicalOperatorType value)

  Sets the value of the '`Logical Operator`' attribute.

  Parameters:
    `value` - the new value of the 'Logical Operator' attribute.
  See Also:
    `LogicalOperatorType`, `isSetLogicalOperator()`, `unsetLogicalOperator()`, `getLogicalOperator()`

### unsetLogicalOperator

    void unsetLogicalOperator()

  Unsets the value of the '`Logical Operator`' attribute.

  See Also:
    `isSetLogicalOperator()`, `getLogicalOperator()`, `setLogicalOperator(LogicalOperatorType)`

### isSetLogicalOperator

    boolean isSetLogicalOperator()

  Returns whether the value of the '`Logical Operator`' attribute is set.

  Returns:
    whether the value of the 'Logical Operator' attribute is set.
  See Also:
    `unsetLogicalOperator()`, `getLogicalOperator()`, `setLogicalOperator(LogicalOperatorType)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD